Gentoo Archives: gentoo-perl

From: Yuval Yaari <yuval@g.o>
To: gentoo-perl@l.g.o
Subject: Re: [gentoo-perl] Scalar::Util qw( weaken )
Date: Wed, 25 Mar 2009 10:19:13
In Reply to: [gentoo-perl] Scalar::Util qw( weaken ) by Alex Efros
Alex Efros wrote:
> This bug probably related to > > Because of broken Compress::Zlib we can't use cpan command anymore to > reinstall Scalar::Util, and have to download/unpack/install it manually. > > So, it looks like only way to work around this issue is use hook in > /etc/portage/bashrc to reinstall Scalar::Util on "postinst" EBUILD_PHASE > for dev-lang/perl package. Is there any better solution exists? >
Oh, almost forgot: The bug/fix is only relevant when switching between threaded and unthreaded `perl` (the paths change...). I could be wrong, but maybe you have/had 2 different installations of Compress::Zlib/Scalar::Util, one from portage and one directly from cpan? Just guessing... Regards, ~Y